Installing on a system with ipv6 issues causes odd failures
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1119351
Description of problem:

When installing katello if ipv6 is enabled but the network is not configured properly the install will fail with these errors:

[ERROR 2014-07-08 08:41:52 main] Could not start Service[elasticsearch]: Execution of
'lusr/share/katello-installer/modules/service_wait/bin/service-wait elasticsearch start' returned 5: Starting elasticsearch: [ OK ]

[ERROR 2014-07-08 08:45:35 main] Could not start Service[tomcat6]: Execution of
'lusr/share/katello-installer/modules/service_wait/bin/service-wait tomcat6 start' returned 5: Starting tomcat6: [ OK ]

The result of:
ping6 localhost

is:
"socket: Address family not supported by protocol”

The root cause is that in the installer's service-wait script, wget is used to retry the connection on started services for 30 seconds. It
uses 'localhost’ which resolves for both ipv4 and ipv6 and so the wget fails (with the same 'Address family not supported by protocol’)
initially and does not retry.

In this user's case commenting out the ipv6 localhost from /etc/hosts allowed the installer to run completely.

How reproducible:

Not entirely sure, but somehow ipv6 needs to be enabled but the network needs to not support it.

Steps to Reproduce:

1. Get into the state above

2. Attempt to install katello

Actual results:
Partially installs with errors.

Expected results:
Should either install correctly, or immediately error telling me that ipv6 is not supported and should be disabled.

Associated revisions

Revision a5b7b099 - 08/18/2014 07:59 PM - Justin Sherrill

fixes #7145 - do not try to use ipv6 for service-wait network checks

Revision e165ed21 - 08/19/2014 08:45 AM - Justin Sherrill
https://bugzilla.redhat.com/show_bug.cgi?id=1119351

Merge pull request #3 from jIsherrill/7145

fixes #7145 - do not try to use ipv6 for service-wait network checks

Revision b4587266 - 08/19/2014 08:48 AM - Justin Sherrill

fixes #7145 - do not try to use ipv6 for service-wait network checks

Revision a6fc8686 - 08/19/2014 05:33 PM - Justin Sherrill
Merge pull request #105 from jisherrill/7145

fixes #7145 - do not try to use ipv6 for service-wait network checks

History

#1 - 08/19/2014 08:38 AM - Eric Helms
- Target version set to 55
- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 08/19/2014 08:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/105 added
- Pull request deleted ()

#3 - 08/19/2014 06:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|b45872663ee1dbdd45fa6ce1a37aa689ca40b1b3.

#4 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
